IncompatibleClassChangeError (Java SE 10 & JDK 10 )
Keywords: java.lang.IncompatibleClassChangeError class

Module java.base
Package java.lang

## Class IncompatibleClassChangeError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.IncompatibleClassChangeError

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `AbstractMethodError`, `IllegalAccessError`, `InstantiationError`, `NoSuchFieldError`, `NoSuchMethodError`

      public class IncompatibleClassChangeError
      extends LinkageError

  Thrown when an incompatible class change has occurred to some class definition. The definition of some class, on which the currently executing method depends, has since changed.
  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IncompatibleClassChangeError()` | Constructs an `IncompatibleClassChangeError` with no detail message.
    `IncompatibleClassChangeError​(String s)` | Constructs an `IncompatibleClassChangeError` with the specified detail message.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### IncompatibleClassChangeError

          public IncompatibleClassChangeError()

      Constructs an `IncompatibleClassChangeError` with no detail message.

    - #### IncompatibleClassChangeError

          public IncompatibleClassChangeError​(String s)

      Constructs an `IncompatibleClassChangeError` with the specified detail message.
      Parameters:
        `s` - the detail message.